clear

addpath C:\dynare\6.0\matlab

load('irf_params_all_10y.mat')

first_time = 1;
result_var = struct('ygap', {}, 'pi', {}, 'r', {}, 'ugap', {}, 't', {});

% Periods, where B&K conditions are not met when I run the script: 45, 46, 73, 74, 83, 84, 86

for i = 1:96
    if first_time           
        dynare model_loss noclearall;
        first_time = 0;
        result_var(i).ygap = oo_.var(1,1);
        result_var(i).pi = oo_.var(2,2);
        result_var(i).r = oo_.var(3,3)/4;
        result_var(i).ugap = oo_.var(4,4);
        result_var(i).t = t{i};        
    else
        set_param_value('cpibar',p_cpibar(i));
        set_param_value('crhointr',p_crhointr(i)); 
        set_param_value('cry',p_cry(i)); 
        set_param_value('crdy',p_crdy(i)); 
        set_param_value('crpi',p_crpi(i));
        set_param_value('cphi', p_cphi(i));
        set_param_value('ch', p_ch(i));
        set_param_value('comega', p_comega(i));
        set_param_value('cv', p_cv(i));
        set_param_value('cthetap', p_cthetap(i));
        set_param_value('cthetaw', p_cthetaw(i));
        set_param_value('cgammap', p_cgammap(i));
        set_param_value('cgammaw', p_cgammaw(i));
        set_param_value('cpsip', p_cpsip(i));
        set_param_value('cpsiw', p_cpsiw(i));
        set_param_value('calpha', p_calpha(i));
        set_param_value('cthetae', p_cthetae(i));
        set_param_value('cbetabar', p_cbetabar(i));
        set_param_value('cebar', p_cebar(i));
        set_param_value('ctaubar', p_ctaubar(i));
        set_param_value('crhoa', p_crhoa(i));
        set_param_value('crhob', p_crhob(i));
        set_param_value('crhog', p_crhog(i));
        set_param_value('crhoga', p_crhoga(i));
        set_param_value('crhoq', p_crhoq(i));
        set_param_value('crhor', p_crhor(i));
        set_param_value('crhop', p_crhop(i));
        set_param_value('cmup', p_cmup(i));
        set_param_value('crhow', p_crhow(i));
        set_param_value('crhos', p_crhos(i));
        set_param_value('cmuw', p_cmuw(i));
        set_param_value('cpsi', p_cpsi(i));
        [info, oo_] = stoch_simul(M_, options_, oo_, var_list_);
        if info
          disp(['Computation fails for t = ' t{i}]);
        else
        result_var(i).ygap = oo_.var(1,1);
        result_var(i).pi = oo_.var(2,2);
        result_var(i).r = oo_.var(3,3)/4;
        result_var(i).ugap = oo_.var(4,4);
        result_var(i).t = t{i};
        end
    end        
end